# Maintainer: dr460nf1r3 <dr460nf1r3 at garudalinux dot org>
# Maintainer: SGS <sgs at garudalinux dot org>
# Co-Maintainer: Ankur <forum dot garudalinux dot org slash u slash ankur slash summary>

pkgname=garuda-hyprland-settings
pkgver="0.4.120"
_commit='06682a6258882747e20d7a28a3f67ececc6bb224'
pkgrel=2
arch=('any')
url="https://gitlab.com/garuda-linux/themes-and-settings/settings/$pkgname"
license=('GPL')
makedepends=('coreutils')
source=("https://gitlab.com/garuda-linux/themes-and-settings/settings/garuda-hyprland-settings/-/archive/${_commit}/garuda-hyprland-settings-${_commit}.tar.gz")
sha256sums=('SKIP')
pkgdesc='Garuda Linux Hyprland settings'
depends=('beautyline'
    'garuda-common-settings'
    'gtk-engine-murrine'
    'plasma5-themes-sweet-full-git'
    'waybar'
    'hyprland'
    'kvantum-qt5'
    'kvantum'
    'ttf-fira-code'
    'ttf-firacode-nerd'
    'qt5ct')
conflicts=(garuda-desktop-settings)
provides=(garuda-desktop-settings)
install=$pkgname.install

package() {
    install -d "$pkgdir"/etc
    cp -rf "$srcdir"/$pkgname-$_commit/etc "$pkgdir"
    install -d "$pkgdir"/usr
    cp -rf "$srcdir"/$pkgname-$_commit/usr "$pkgdir"
}
